Subject: Re: [dtn-interest] Thanks/Slides/Minutes ...

From: Paulo Mendes <[email-masked]>
Date: Thu, 6 Sep 2012 16:43:01 +0100

Hello

Still as a follow up of the July meeting and after the vacation period (at least for me), I would like to post again some questions that were left on the table at the beginning of last month, namely:

a) About the dLife individual draft submitted in July. Is there are indication about the roadmap to make it a RG draft?

b) About the routing framework: Is there any plans to start the work around the so called generic routing framework? Should we consider to have a first draft of it ready for the fall meeting?

Regards
Paulo

On Jul 31, 2012, at 5:50 PM, Paulo Mendes wrote:

> Hi Stephen and all
> 
> I would like to leave here a set of comments about the discussion around the topic of the future of routing in DTNRG:
> 
> a) About the proposal to have dLife as a RG draft: comments seem to have been positive ("its reasonable"), but I didn't find any conclusion on this matter. Can you clarify what would be the evolution on this track? As Stephen mentioned in the meeting, in the 2009 meeting at Google, people realized that it would be good to "get some other DTN routing schemes documented in I-D form, since otherwise we might be giving an impression that PRoPHET is the only way to do DTN routing." We started to work on this line of though and we have now a new sped in I-D form.
> 
> 
> b) About the routing framework: It is also my opinion that we do not need a large set of protocols. As I mentioned before the meeting, it is my opinion that we should have a generic routing framework with a well defined interface to plug in specific methods of doing routing, which should be selected based on their applicability and proven performance results.
> 
> 
> c) Emphasize multicast: I agree that protocols should not flood the network. Protocols should be able to forward within certain limits. First I would like to mention that we do not need an explicit multicast-type of protocol to avoid network flooding. There are already opportunistic protocols (such as dLife) that do not flood the network. But if you way to make it explicit, the idea of flooding within groups is one way, that can be worked out in two different ways: i) explicit group joining, as happens with multicast; ii) explicit group creation has happens when you apply community detection algorithms.. Our work with dLife follows the second track, but we use implicit groups by analysis of user behavior, since group creation can take a long time. But dLife can also work with the explicit creation of communities (that we call dLifeComm - in IEEE AOC 2012). So currently dLife forwards to a specific destinations, being aware of similarities among nodes, but could also forward to group of nodes with similar behavior. However, if we progress in this track of forwarding to groups, we may end up concluding that it will be better to forward based on data interests and not on group of nodes.
> 
> 
> Cheers
> Paulo
> 
> 
> On Jul 28, 2012, at 5:34 AM, Stephen Farrell wrote:
> 
>> 
>> Hi all,
>> 
>> Many thanks to Google for hosting what I think was a
>> very successful two days of DTN. Special thanks to
>> Carla for all her wonderful help in getting the many
>> arrangements sorted so smoothly and professionally.
>> And also to Vint and the other Googlers (with or
>> without special glasses!) for their excellent input
>> over the two days.
>> 
>> I've put up all the slides I have on the web page [1]
>> and the raw-minutes [2] are there too for those that want
>> to check for any bad errors. We'll try produce a tidied
>> up version in the next few days, so let us know if there're
>> any errors there that need correcting.
>> 
>> Thanks,
>> S.
>> 
>> [1] http://down.dsg.cs.tcd.ie/dtnrg-at-google-12/
>> [2] http://down.dsg.cs.tcd.ie/dtnrg-at-google-12/raw-mins.txt
>> _______________________________________________
>> dtn-interest mailing list
>> [email-masked]
>> https://www.irtf.org/mailman/listinfo/dtn-interest
> 
> -------------------------------------------------------------
> Paulo Mendes, Ph.D
> Scientific Director for Innovation of the Research Unit in Informatics Systems and Technologies (SITI)
> Secretary of the ACM SIGCOMM Chapter - Portugal
> University Lusofona, Portugal
> [email-masked]
> http://siti.ulusofona.pt/~pmendes
> Tel.: 217 515 500 Fax: 21 757 7006
> 

-------------------------------------------------------------
Paulo Mendes, Ph.D
Scientific Director for Innovation of the Research Unit in Informatics Systems and Technologies (SITI)
Director of the Ph.D program on Informatics - New Media and Pervasive Systems (NEMPS)
Secretary of the ACM SIGCOMM Chapter - Portugal
University Lusofona, Portugal
[email-masked]
http://siti.ulusofona.pt/~pmendes
Tel.: 217 515 500 Fax: 21 757 7006